Subject: Re: Audit of Termination State ONLY

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 6 Feb 2001 19:31:10 -0500

Not with the current syntax.  Suggest this when we take up V2.

Brian

> -----Original Message-----
> From: Alan Whitton [mailto:[email-masked]]
> Sent: Tuesday, February 06, 2001 10:37 AM
> To: [email-masked]
> Subject: Audit of Termination State ONLY
>
>
> Greetings,
>
> Is it possible to create a "tight" audit of the "state" of a
> termination
> ONLY.
>
> So far I have an audit (of a physical set of DS0s) that would
> look like:
>
> Megaco/1 [ kilroy ]
> Transaction = 4096 {
>   Context = - {
>     AuditValue = TDM_Connect_1* {
>       Audit {media}         // Looking for state of each DS0
>     }
>   }
> }
>
> but I assume I would get back a list that matches the
> wildcard with the
> following "baggage":
>
> Reply = 4096 {
>   Context = - {
>     AuditValue = TDM_Connect_1_2 {
>       Media {
>         TerminationState { ServiceStates = InService,
>            Buffer = OFF },
>          Stream = 1 {
>            LocalControl { Mode = SendReceive,
>                        nt/jit=40 },
>             Local {
>    v=0
>    c=IN IP4 127.0.0.1
>    m=audio 1111 RTP/AVP  4
>    a=ptime:30
>       }
> etc., etc., etc.,
>
> All I really want is the ServiceStates of the termination ONLY. Is it
> possible to ONLY audit that?
>
> Cheers,
> Alan Whitton
> Nortel Networks Inc.,
>